Subject: Re: [PATCH 1/5] Net: ath5k, split hw into hw, phy and initvals

From: "John W. Linville" <[email-masked]>
Date: Thu, 30 Aug 2007 08:38:49 -0400

On Thu, Aug 30, 2007 at 04:50:01AM +0300, Nick Kossifidis wrote:
> 2007/8/28, Christoph Hellwig <[email-masked]>:

> > ath5k_hw_phy.o should probably be ath5k_phy.o by conventions used by
> > most drivers and ath5k_hw_inivals.o mights aswell be something like
> > ath5k_init.o

> If you check out the code you'll see i'm using the same convention
> inside them, ath5k_hw* files contain hw related functions
> (ath5k_hw_<name>) while driver code has ath5k_<name>. Also ath5k_init
> is misleading, file acually includes initial register settings for

I have to agree w/ Christoph -- the extra "_hw" in the names is just
a bit unwieldy.

John

P.S.  "ath5k_initvals.c" seems acceptable to me.
-- 
John W. Linville
[email-masked]